Page MenuHome

Unexpected black frames or frame regions when using holodut materials
Closed, ResolvedPublic

Description

I'm working on a typographic animation where I use a lot of objects with holdout shader to mask out different parts of the scene when they shouldn't be visible.

When I render the animation, some parts of it produce black frames, or contain black rectangular shapes that I didn't intend to appear. The blackouts are consistent between the renders.
I tried moving verticies of the holdout objects, flipping normals - chaning the BVH setting of the scene - that didn't help. Sometimes rotating the holdout objects slightly makes the blackouts go away, sometimes adding a Solidify modifier helps, but I wasn't able to get rid of all of the artifacts.

For example frame 224 of the animation renders like this:

But in the viewport Cycles preview it looks as expected:

There is a plane with a holdout material present there, that's used to hide one part of the "MUSIC" text. The black shape in the final render is somehow dependant on that plane - this might be a good trace to find out what causes th, ese artifacts.

Here's the blend file:

Here's some renders of the animation to inspect the problem:

https://youtu.be/D3GcyVX1YaA - normal animation render
https://youtu.be/fn8_xHDG8ns - with wireframe overlay
https://youtu.be/ErL30EzYh7s - with wireframe slowed down 4 times

You can see how the last part of the videos are completely messed up - the cartoonish explosion scene is completely messed up with the blackout frames.

Details

Type
Bug

Event Timeline

Tobiasz Karoń (unfa) renamed this task from Some frames of the animation are blacked out to Some frames of the animation are blacked out when using holdout objects in the scene.Jul 25 2016, 1:05 PM
Tobiasz Karoń (unfa) renamed this task from Some frames of the animation are blacked out when using holdout objects in the scene to Random black frames or frame regions when using holodut materials.Jul 25 2016, 1:08 PM
Tobiasz Karoń (unfa) renamed this task from Random black frames or frame regions when using holodut materials to Unexpected black frames or frame regions when using holodut materials.
Thomas Dinges (dingto) triaged this task as Needs Information from User priority.Jul 26 2016, 12:17 AM

We cannot accept this form of bug report. We need all the infos, that we ask you for, in here. Please edit your post and provide all the information.

We cannot accept this form of bug report. We need all the infos, that we ask you for, in here. Please edit your post and provide all the information.

Thanks fro the notice. I've written a report, let me know if you need more information.

Thomas Dinges (dingto) raised the priority of this task from Needs Information from User to Normal.Jul 27 2016, 12:05 AM

When rendering frame 224 the background is transparent during render and then gets black in the background, which is due to Compositing though. Not sure what the issue is exactly?

Brecht Van Lommel (brecht) claimed this task.

I can reproduce the bug in the 2.77 release but not anymore in a recent build from:
https://builder.blender.org/download/

The issue seems similar to e.g. T48538 which was confirmed to be fixed in recent builds. So I'm going to assume this is already resolved unless you find the problem is still there in a recent builds.